2

Does anyone know if Salesforce supports OAuth 1.0 ?

Our current solution is based on OAuth 1.0 and in the last week we started getting some issue creating such connection.

Any feedback will help, thanks!

Update I am in discussions with SalesForce Dev support for two days now, they do not seem to have any idea why is it not working.

Update 2 According to SalesForce dev support, apparently the Summer 2016 release has a new feature called

Improved Session Security for OAuth 1.0 Token Exchanges

Link to the release note

I think it prevents OAuth 1.0 from working properly, I have just asked to disable it

Update 3

Apparently this is a SalesForce.com bug, currenly SalesForce R&D is reviewing this issue (it moved there from Tier-3), I think it is safe to say that anyone that is using OAuth 1.0 to authorize external apps can not do it anymore until this issue is solved.

4
  • 1
    did you checked the documentation? help.salesforce.com/apex/…
    – Himanshu
    Commented Jun 16, 2016 at 19:51
  • The doc URL that you attached specifies it is "Available in: All Editions" , is it up to date?
    – Uri Lukach
    Commented Jun 16, 2016 at 21:03
  • Do you want to add Update 2 and 3 as an answer to your own question as it looks like you do have the answer there?
    – Dave Humm
    Commented Jun 24, 2016 at 12:57
  • Hi Dave, well I rather get the review results from SalesForce R&D and then report it fully to this community. I think this post is extremely relevant to any partner who uses OAuth 1.0, I would like to contribute any information I can... When I get review results I will post it as an answer, sounds okay?
    – Uri Lukach
    Commented Jun 24, 2016 at 13:28

1 Answer 1

1

Apparently this is a SalesForce.com bug, currenly SalesForce R&D is reviewing this issue (it moved there from Tier-3), I think it is safe to say that anyone that is using OAuth 1.0 to authorize external apps can not do it anymore until this issue is solved.

(We moved our code to use OAuth 2.0).

Update

SalesForce R&D sent me this reply (I guess they owe me a t-shirt :)

This is just to inform you that R&D has identified this as a known issue has been logged internally on P1(highest priority) basis.

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .